#
# Cookbook Name:: apt_utils
# Recipe:: conf
#
# Copyright 2016, whitestar
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

if node[:platform_family] == 'debian' then
  proxy_conf = node['apt_utils']['conf']['proxy']
  if !proxy_conf['ftp'].nil? || !proxy_conf['http'].nil? || !proxy_conf['https'].nil? then
    template "/etc/apt/apt.conf.d/#{proxy_conf['sequence']}proxy" do
      source  'etc/apt/apt.conf.d/proxy'
      owner 'root'
      group 'root'
      mode '0644'
    end
  end
end

